case $CONFIG in
'')
    if test ! -f config.sh; then
	ln ../config.sh . || \
	ln ../../config.sh . || \
	ln ../../../config.sh . || \
	(echo "Can't find config.sh."; exit 1)
	echo "Using config.sh from above..."
    fi
    . config.sh
    ;;
esac
echo "Extracting nest.h (with variable substitutions)"
cat <<!GROK!THIS! >nest.h
/*
 * Nest simulation library - external definitions
 * 
 * \$Header: nest.h.SH,v 2.5 88/03/31 20:41:21 dupuy Rel $
 */

#if ($voidflags & $defvoidused) != $defvoidused
#$define void int		/* is void to be avoided? */
#$define M_VOID			/* Xenix strikes again */
#endif

#$d_charsprf	CHARSPRINTF 	/* defined if char *sprintf() */
#$d_voidsig	VOIDSIG 	/* defined if void (*signal())() */

#$d_getopt	GETOPT		/* defined if getopt() is available */
#define	SYSTIME	"$d_systime"	/* pathname of file defining struct timeval */

#$d_memset	MEMSET		/* defined if memory functions are available */
#$d_bstring	BSTRING		/* defined if bstring functions available */

#$d_rename	RENAME		/* defined if rename() is available */
#$d_rusage	RUSAGE		/* defined if getrusage() is available */

#$d_sigvec	SIGVEC		/* defined if sigvec() is available */
#$d_sigvectr	SIGVECTOR	/* defined if hp-ux has changes to sigvec */

#define	STACKDIR $stackdir	/* -1: stack grows down; 1: stack grows up */

#include <stdio.h>
#include <malloc.h>

#ifdef CHARSPRINTF
extern char *sprintf ();		/* if that's how it is */
#endif
#define ssprintf (void) sprintf
#include "$d_systime"
#include "dcctime.h"                    /* nest uses time structs all over */
!GROK!THIS!
cat <<'!NO!SUBS!' >>nest.h

/*
 * Result codes
 */

#define Normal  1                       /* normal status result */
#define None    0                       /* no special status result */
#define Error  -1                       /* error status result */

/*
 * Basic types
 */

typedef unsigned char boolean;          /* small boolean */
typedef unsigned ident;                 /* generic object identifier number */
typedef int     (*function) ();         /* function pointer */

#define nil_id  0                       /* "undefined" identifier's number */

/*
 * Global variables set by nest_parse_args, main and simulate
 */

extern unsigned Nodes;
extern unsigned StackSize;
extern unsigned PortNumber;
extern struct graph *Graph;

extern boolean  Altered;                /* if network has changed this pass */

/*
 * Set from graphlanguage header
 */

extern boolean  Logging;                /* simulation status report logging */
extern boolean  Broadcast;              /* broadcast all messages */
extern boolean  Point2Point;            /* disallow broadcast messages */
extern long     Delay;                  /* default edge transmission delay */

/*
 * Function declarations
 */

extern ident    recvm ();
extern int      sendm ();

extern  int     any_messages ();
extern timev    runtime ();
extern timev    cputime ();

extern  int     reliable ();

extern char    *nbread ();

extern ident    _current_node;          /* use get_node_id() macro instead */

/*
 * Macro definitions
 */

#define get_node_id() (_current_node)
#define hold()
#define release()

!NO!SUBS!

